curl https://api.stophy.dev/v1/search/research/papers/W4411630045/similar?intent=evaluating+retrieval+augmented+generation&k=5 \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/search/research/papers/W4411630045/similar?intent=evaluating+retrieval+augmented+generation&k=5", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/search/research/papers/W4411630045/similar?intent=evaluating+retrieval+augmented+generation&k=5",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"results": [
{
"paperId": "W4389519118",
"primaryId": "doi:10.18653/v1/2023.emnlp-main.495",
"ids": {
"openalex": [
"W4389519118"
],
"doi": [
"10.18653/v1/2023.emnlp-main.495"
]
},
"title": "Active Retrieval Augmented Generation",
"abstract": "Zhengbao Jiang, Frank Xu, Luyu Gao, Zhiqing Sun, Qian Liu, Jane Dwivedi-Yu, Yiming Yang, Jamie Callan, Graham Neubig.…",
"authors": [
"Zhengbao Jiang",
"Frank F. Xu",
"Luyu Gao"
],
"year": 2023,
"venue": "Conference on Empirical Methods in Natural Language Processing (EMNLP)",
"citedByCount": 462,
"openAccessUrl": "https://aclanthology.org/2023.emnlp-main.495.pdf",
"score": 101772.93
}
],
"poolSize": 5,
"truncated": false,
"note": "Ranked by words in the intent and the seed titles; no citation signals.",
"costUsd": 0.001,
"creditsUsed": 1,
"requestId": "f28c8056-3ae1-4f30-8e78-11b4e4ca90eb"
}
Search
Similar papers
Find papers like this one. Send one request and get JSON back. Examples in cURL, TypeScript and Python. A failed call costs nothing.
GET
/
v1
/
search
/
research
/
papers
/
{id}
/
similar
curl https://api.stophy.dev/v1/search/research/papers/W4411630045/similar?intent=evaluating+retrieval+augmented+generation&k=5 \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/search/research/papers/W4411630045/similar?intent=evaluating+retrieval+augmented+generation&k=5", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/search/research/papers/W4411630045/similar?intent=evaluating+retrieval+augmented+generation&k=5",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"results": [
{
"paperId": "W4389519118",
"primaryId": "doi:10.18653/v1/2023.emnlp-main.495",
"ids": {
"openalex": [
"W4389519118"
],
"doi": [
"10.18653/v1/2023.emnlp-main.495"
]
},
"title": "Active Retrieval Augmented Generation",
"abstract": "Zhengbao Jiang, Frank Xu, Luyu Gao, Zhiqing Sun, Qian Liu, Jane Dwivedi-Yu, Yiming Yang, Jamie Callan, Graham Neubig.…",
"authors": [
"Zhengbao Jiang",
"Frank F. Xu",
"Luyu Gao"
],
"year": 2023,
"venue": "Conference on Empirical Methods in Natural Language Processing (EMNLP)",
"citedByCount": 462,
"openAccessUrl": "https://aclanthology.org/2023.emnlp-main.495.pdf",
"score": 101772.93
}
],
"poolSize": 5,
"truncated": false,
"note": "Ranked by words in the intent and the seed titles; no citation signals.",
"costUsd": 0.001,
"creditsUsed": 1,
"requestId": "f28c8056-3ae1-4f30-8e78-11b4e4ca90eb"
}
Price
$0.001 for each 10 results; no results cost nothing. See Pricing.curl https://api.stophy.dev/v1/search/research/papers/W4411630045/similar?intent=evaluating+retrieval+augmented+generation&k=5 \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/search/research/papers/W4411630045/similar?intent=evaluating+retrieval+augmented+generation&k=5", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/search/research/papers/W4411630045/similar?intent=evaluating+retrieval+augmented+generation&k=5",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"results": [
{
"paperId": "W4389519118",
"primaryId": "doi:10.18653/v1/2023.emnlp-main.495",
"ids": {
"openalex": [
"W4389519118"
],
"doi": [
"10.18653/v1/2023.emnlp-main.495"
]
},
"title": "Active Retrieval Augmented Generation",
"abstract": "Zhengbao Jiang, Frank Xu, Luyu Gao, Zhiqing Sun, Qian Liu, Jane Dwivedi-Yu, Yiming Yang, Jamie Callan, Graham Neubig.…",
"authors": [
"Zhengbao Jiang",
"Frank F. Xu",
"Luyu Gao"
],
"year": 2023,
"venue": "Conference on Empirical Methods in Natural Language Processing (EMNLP)",
"citedByCount": 462,
"openAccessUrl": "https://aclanthology.org/2023.emnlp-main.495.pdf",
"score": 101772.93
}
],
"poolSize": 5,
"truncated": false,
"note": "Ranked by words in the intent and the seed titles; no citation signals.",
"costUsd": 0.001,
"creditsUsed": 1,
"requestId": "f28c8056-3ae1-4f30-8e78-11b4e4ca90eb"
}